<Run name="main">
    <ViewSystem select="../data" model_path="./gtk_models" main_view="main">
        <View name="main">
            <ViewOperation select="*"/>
            <ViewOperation select="**"/>
            <ViewOperation select="*/*"/>
            <ViewCall text="run"/>
        </View>

        <View name="run">
            <ViewPart cls="Data" part="#subchildren">
                <ViewCall select="*/*" text="sub"/>
            </ViewPart>
            <ViewPart cls="Data" part="#recursive">
                <ViewCall  text="sub2"/>
            </ViewPart>

        </View>

        <View name="sub">
            <ViewPart cls="Data"/>
        </View>

        <View name="sub2">
            <ViewPart cls="Data">
                <ViewCall  select="*"  text="sub3"/>
            </ViewPart>
        </View>

        <View name="sub3">
            <ViewPart cls="Data" part="agrr"/>
        </View>
    </ViewSystem>

    <Query select="../*/[ViewSystem]/*/[View]" text="tree"/>
    <Query select="../data" text="tree"/>
    <Query select="../*/[ViewSystem]/*/[Data]" text="tree"/>

        <Data name="data">
            <Data name="b"/>
            <Data name="c"/>
            <Data name="d">
                <Data name="e"/>
                <Data name="f"/>
            </Data>
        </Data>
</Run>
